org.wso2.carbon.logging.admin.stub.types.axis2

## Class UpdateSyslogConfig

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.axis2.UpdateSyslogConfig

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class UpdateSyslogConfig
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  UpdateSyslogConfig bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateSyslogConfig.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localPassword` field for Password
    `protected boolean` | `localPasswordTracker`
    `protected String` | `localPort` field for Port
    `protected boolean` | `localPortTracker`
    `protected String` | `localRealm` field for Realm
    `protected boolean` | `localRealmTracker`
    `protected String` | `localUrl` field for Url
    `protected boolean` | `localUrlTracker`
    `protected String` | `localUserName` field for UserName
    `protected boolean` | `localUserNameTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateSyslogConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `String` | `getPassword()` Auto generated getter method
    `String` | `getPort()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getRealm()` Auto generated getter method
    `String` | `getUrl()` Auto generated getter method
    `String` | `getUserName()` Auto generated getter method
    `boolean` | `isPasswordSpecified()`
    `boolean` | `isPortSpecified()`
    `boolean` | `isRealmSpecified()`
    `boolean` | `isUrlSpecified()`
    `boolean` | `isUserNameSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setPassword(String param)` Auto generated setter method
    `void` | `setPort(String param)` Auto generated setter method
    `void` | `setRealm(String param)` Auto generated setter method
    `void` | `setUrl(String param)` Auto generated setter method
    `void` | `setUserName(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localUrl

          protected String localUrl

      field for Url

    - #### localUrlTracker

          protected boolean localUrlTracker

    - #### localPort

          protected String localPort

      field for Port

    - #### localPortTracker

          protected boolean localPortTracker

    - #### localRealm

          protected String localRealm

      field for Realm

    - #### localRealmTracker

          protected boolean localRealmTracker

    - #### localUserName

          protected String localUserName

      field for UserName

    - #### localUserNameTracker

          protected boolean localUserNameTracker

    - #### localPassword

          protected String localPassword

      field for Password

    - #### localPasswordTracker

          protected boolean localPasswordTracker

  - ### Constructor Detail

    - #### UpdateSyslogConfig

          public UpdateSyslogConfig()

  - ### Method Detail

    - #### isUrlSpecified

          public boolean isUrlSpecified()

    - #### getUrl

          public String getUrl()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setUrl

          public void setUrl(String param)

      Auto generated setter method
      Parameters:
        `param` - Url

    - #### isPortSpecified

          public boolean isPortSpecified()

    - #### getPort

          public String getPort()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPort

          public void setPort(String param)

      Auto generated setter method
      Parameters:
        `param` - Port

    - #### isRealmSpecified

          public boolean isRealmSpecified()

    - #### getRealm

          public String getRealm()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setRealm

          public void setRealm(String param)

      Auto generated setter method
      Parameters:
        `param` - Realm

    - #### isUserNameSpecified

          public boolean isUserNameSpecified()

    - #### getUserName

          public String getUserName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setUserName

          public void setUserName(String param)

      Auto generated setter method
      Parameters:
        `param` - UserName

    - #### isPasswordSpecified

          public boolean isPasswordSpecified()

    - #### getPassword

          public String getPassword()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPassword

          public void setPassword(String param)

      Auto generated setter method
      Parameters:
        `param` - Password

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.